CppUnit - The Unit Testing Library

CppUnit project page | FAQ

TestPlugInDefaultImpl Class Reference
Writing Test Plug-in

Default implementation of test plug-in interface. More...

`#include <TestPlugInDefaultImpl.h>`

Inheritance diagram for TestPlugInDefaultImpl:
[legend]
Collaboration diagram for TestPlugInDefaultImpl:
[legend]

## Public Member Functions
| TestPlugInDefaultImpl ()
virtual | ~TestPlugInDefaultImpl ()
void | initialize (TestFactoryRegistry *registry, const PlugInParameters &parameters)
void | addListener (TestResult *eventManager)
void | removeListener (TestResult *eventManager)
void | addXmlOutputterHooks (XmlOutputter *outputter)
void | removeXmlOutputterHooks ()
| Called when the XmlOutputter is destroyed.
void | uninitialize (TestFactoryRegistry *registry)
Public Member Functions inherited from CppUnitTestPlugIn
virtual void | initialize (CPPUNIT_NS::TestFactoryRegistry *registry, const CPPUNIT_NS::PlugInParameters &parameters)=0
| Called just after loading the dynamic library.
virtual void | addListener (CPPUNIT_NS::TestResult *eventManager)=0
| Gives a chance to the plug-in to register TestListener.
virtual void | removeListener (CPPUNIT_NS::TestResult *eventManager)=0
| Gives a chance to the plug-in to remove its registered TestListener.
virtual void | addXmlOutputterHooks (CPPUNIT_NS::XmlOutputter *outputter)=0
| Provides a way for the plug-in to register some XmlOutputterHook.
virtual void | uninitialize (CPPUNIT_NS::TestFactoryRegistry *registry)=0
| Called just before unloading the dynamic library.
virtual | ~CppUnitTestPlugIn ()

## Detailed Description

Default implementation of test plug-in interface.

Override getSuiteName() to specify the suite name. Default is "All Tests".

CppUnitTestPlugIn::getTestSuite() returns a suite that contains all the test registered to the default test factory registry ( TestFactoryRegistry::getRegistry() ).

## Constructor & Destructor Documentation

## ◆ TestPlugInDefaultImpl()

CPPUNIT_NS_BEGIN TestPlugInDefaultImpl::TestPlugInDefaultImpl | ( |  | ) |

## ◆ ~TestPlugInDefaultImpl()

TestPlugInDefaultImpl::~TestPlugInDefaultImpl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addListener()

void TestPlugInDefaultImpl::addListener | ( | TestResult * | eventManager | ) |

## ◆ addXmlOutputterHooks()

void TestPlugInDefaultImpl::addXmlOutputterHooks | ( | XmlOutputter * | outputter | ) |

## ◆ initialize()

void TestPlugInDefaultImpl::initialize | ( | TestFactoryRegistry * | registry,
|  | const PlugInParameters & | parameters )

## ◆ removeListener()

void TestPlugInDefaultImpl::removeListener | ( | TestResult * | eventManager | ) |

## ◆ removeXmlOutputterHooks()

void TestPlugInDefaultImpl::removeXmlOutputterHooks | ( |  | ) |
| virtual

Called when the XmlOutputter is destroyed.

Can be used to free some resources allocated by addXmlOutputterHooks().

Implements CppUnitTestPlugIn.

## ◆ uninitialize()

void TestPlugInDefaultImpl::uninitialize | ( | TestFactoryRegistry * | registry | ) |

The documentation for this class was generated from the following files:

- TestPlugInDefaultImpl.h
- TestPlugInDefaultImpl.cpp

| Send comments to: CppUnit Developers